/* \file ApiPrintf.c:
 * \brief: API specific symbols from libISSMCore that we need to resolve here
 */

#ifdef HAVE_CONFIG_H
	#include <config.h>
#else
#error "Cannot compile with HAVE_CONFIG_H symbol! run configure first!"
#endif

#include "./matlabio.h"
#include "../../c/shared/shared.h"

/*Matlab printf i/o: */
/*FUNCTION ApiPrintf(char* format, const char* string){{{*/
void ApiPrintf(char* format,const char* string){

	/*use mexPrintf in matlab: */
	mexPrintf(format,string);

	return;
}
/*}}}*/
