/*!\file MatlabVectorToIssmVec.cpp
 */

/*Headers:*/
#include <mex.h>
#include <stdio.h>
#include <string.h>
#include "./matlabio.h"
#include "../../c/toolkits/toolkits.h"
#include "../../c/shared/shared.h"

IssmVec<double>* MatlabVectorToIssmVec(const mxArray* dataref){

	IssmVec<double>* output=NULL;
	IssmSeqVec<double>* seqvec=NULL;

	output=new IssmVec<double>();

	seqvec=new IssmSeqVec<double>();

	MatlabVectorToDoubleVector(&seqvec->vector,&seqvec->M,dataref);

	output->vector=(IssmAbsVec<double>*)seqvec;
	return output;

}
